Subject: Re: [PATCH 0/1] Filter C and POSIX out of Accept-Language

From: Collin Funk <[email-masked]>
Date: Thu, 10 Jul 2025 16:26:20 -0700

"brian m. carlson" <[email-masked]> writes:

> I'm not aware of it causing any practical problems for people, although
> I could imagine some cases where it could, in theory, break things.  I
> merely noticed this in trace output and thought we should tidy it up.
> If users are using the header and expecting a localized response, this
> will make it more likely that they get the one they were expecting.

I feel like it is a bit strange to only exclude "C" or "POSIX".

I think the correct behavior would be to accept any values, or convert
the current locale to the closest BCP 47 language tag.

But as you mentioned converting them would require a database of all
tags...

Collin